// https://github.com/cubicdaiya/ngx_small_light#parameters-for-small_light-function

export interface ImgTransformation {
    p?: string,
    e?: string,
    q?: number,
    of?: 'png' | 'jpg' | 'webp' | 'gif',
    jpeghint?: string,
    dw?: string,
    dh?: string,
    dx?: string,
    dy?: string,
    da?: string,
    ds?: string,
    cw?: number,
    ch?: number,
    cc?: string,
    bw?: number,
    bh?: number,
    bc?: string,
    sw?: string,
    sh?: string,
    sx?: string,
    sy?: string,
    pt?: string,
    sharpen?: string,
    unsharp?: string,
    blur?: string,
    embedicon?: string,
    ix?: number,
    iy?: number,
    angle?: number,
    progressive?: string,
    cmyk2rgb?: string,
    rmprof?: string,
    autoorient?: string,
};